#include "DxLib.h"
#include "board.h"
#include "main.h"
#include "gamemain.h"

static int MouseX, MouseY;

//}EX̃NbNWo
void Main_Player(){
	if (GetMouseInput() & MOUSE_INPUT_LEFT) {
			GetMousePoint(&MouseX, &MouseY);
			if (0 <= MouseX && MouseX < BOARD_X && 0 <= MouseY && MouseY < BOARD_Y){
				Board_Putchip(MouseX / BOARDCHIP_SIZE, MouseY / BOARDCHIP_SIZE, true);
			}
	}
}

//C֐
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int){
	ChangeWindowMode(TRUE);
	SetDrawScreen(DX_SCREEN_BACK);
	SetGraphMode(SCREEN_X, SCREEN_Y, 32);

	Game_Init();

	while (ScreenFlip() == 0 && ProcessMessage() == 0 &&
		ClearDrawScreen() == 0 && (MainData.status == PLAYING || MainData.status == TITLE) ){

		Game_Update();
		Game_Draw();
		Board_Check(true);

		if (MainData.status != PLAYING) WaitTimer(1000);
	}
	DxLib_End(); // DXCuI
	return 0;
}